# -*- encoding : utf-8 -*-

class Admin::ProductOrderDocumentTypesController < ApplicationController
	before_filter :auth_admin

	layout "admin"


	before_filter :find_product_order_document_types


	def index 

	end




	
	def new
		@product_order_document_type = ProductOrderDocumentType.new()
    


	end

	def edit
		@product_order_document_type = ProductOrderDocumentType.find(params[:id])
	end
  
	def show
		@product_order_document_type = ProductOrderDocumentType.find(params[:id])
	end


	def create
		@product_order_document_type = ProductOrderDocumentType.new(params.require(:product_order_document_type).permit!)


		if @product_order_document_type.save
      
      find_product_order_document_types
			flash[:notice] = "La catégorie à été ajouté avec succès."
		

		else
			render :action => "new" 
		
		end
	
	end
	

	def update
		@product_order_document_type = ProductOrderDocumentType.find(params[:id])


		
	
		
		
		respond_to do |format|
			if @product_order_document_type.update_attributes(params.require(:product_order_document_type).permit!)
				

			
				flash[:notice] = "Le menu à été modifié avec succès."
				
				if @reorder
					format.js { 
						
						render :action => "update" }
				else
					format.js { 
					   @product_order_document_type = ProductOrderDocumentType.find(@product_order_document_type.id)
						render :action => "update_row" }
				end
      end
			
		end
    
    
    
    

	end


	def destroy
		@product_order_document_type = ProductOrderDocumentType.find(params[:id])
    @product_order_document_type.destroy
    find_product_order_document_types
  
    flash[:notice] = "La catégorie à bien été supprimée."
	end
	
	
	protected
	
	def find_product_order_document_types    
    
    @product_order_document_types = ProductOrderDocumentType.all
		

	
  end
  
end
